## network-manager-applet 1.4.2

=== debian/changelog ===
network-manager-applet (1.4.2-1ubuntu4) zesty; urgency=medium

  * debian/patches/git_fix_libnma_pygobject_symbols.patch: fix symbol linking
    for libnma, so as to not mix libnm-util/libnm-glib and libnm code.
    (LP: #1667129)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 08 Mar 2017 14:41:33 -0500

network-manager-applet (1.4.2-1ubuntu3) zesty; urgency=medium

  * SECURITY UPDATE: file access from login screen (LP: #1668321)
    - debian/patches/applet-Check-the-user-has-permission-to-modify-befor.patch:
      check permissions before showing dialog in src/applet-device-wifi.c.
    - No CVE number

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 08 Mar 2017 07:51:25 -0500

network-manager-applet (1.4.2-1ubuntu2) zesty; urgency=medium

  * Add patches for wwan options after logout/in (LP: #1651019):
     - device-broadband-use-define-for-devinfo-tag.patch
     - applet-re-add-broadband-devices-when-MM-becomes-avai.patch
     - device-broadband-check-that-the-ModemManager-is-actu.patch
  * debian/rules: allow parallel building

 -- Aron Xu <happyaron@ubuntu.com>  Fri, 13 Jan 2017 17:32:28 +0800

network-manager-applet (1.4.2-1ubuntu1) zesty; urgency=medium

  * Merge with Debian (LP: #1649045). Remaining changes:
    - lp341684_device_sensitive_disconnect_notify.patch:
      show correct notification messages for disconnect events, to be in
      line with the other *connect*text patches.
    - lp460144_correctly_update_notification.patch: cleaner notification
      messages, and allow for messages to be updated instead of cleared.
    - applet-wifi-menu-before-vpn.patch:
      show Create New and Connect to Hidden wifi menu items with the other
      Wifi items, rather than separated by the VPN menus.
    - Always-center-dialogs-on-the-screen.patch:
      position dialogs to the center of the screen.
    - Allow-to-create-and-connect-to-Ad-Hoc-RSN-networks.patch:
      Enable Ad-Hoc using WPA RSN
    - reorder-indicator-items.patch:
      Make sure devices show before networking toggles
    - Have-the-appindicator-enabled-by-default.patch:
      Enable the indicator by default
    - On-Ubuntu-we-use-premade-icons-for-the-indicator-VPN.patch:
      use '-secure'-suffixed icons when connected to the VPN, since we can't
      composit icons on the fly.
    - Make-sure-the-behavior-for-policykit-restricted-acti.patch,
      Implement-support-for-hiding-rather-than-desensitizi.patch:
      provide a method to desensitize or hide menu items which are useless
      given the current policykit policy level of the user.
    - debian/rules: ship extra icons, use --with-indicators, export
      translations for Launchpad
    - debian/control: Build-Depend on dh-translations, libappindicator3-dev,
      and libdbusmenu-gtk3-dev 
  * Dropped changes:
    - debian/control: Breaks gnome-bluetooth << 3.0, not needed since 12.04 LTS
    - lower_dbusmenu_requirement.patch: No longer needed
    - applet-fix-handling-of-802.1x-secrets-for-ethernet-c.patch:
      Applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Dec 2016 02:35:31 -0500

network-manager-applet (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop override for dh_auto_test. We don't explicitly need to dump the log
    files as dh_auto_test runs with VERBOSE=1 by default.

 -- Michael Biebl <biebl@debian.org>  Tue, 04 Oct 2016 17:02:25 +0200

network-manager-applet (1.4.0-2) unstable; urgency=medium

  * Replace Depends: dbus-x11 with Depends: default-dbus-session-bus |
    dbus-session-bus so that either dbus-user-session or dbus-x11 can be used.
    (Closes: #836037)

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Aug 2016 12:59:12 +0200

network-manager-applet (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Bump network-manager related (build-)dependencies to >= 1.4.
  * Enable team and team-port configuration support. Requires Jansson for
    handling JSON data.

 -- Michael Biebl <biebl@debian.org>  Fri, 26 Aug 2016 16:45:48 +0200

network-manager-applet (1.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.

 -- Michael Biebl <biebl@debian.org>  Thu, 04 Aug 2016 08:12:19 +0200

network-manager-applet (1.2.2-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Drop gnome-icon-theme dependency, this icon theme is deprecated
    - Switch from polkit-1-auth-agent to 'policykit-1-gnome |
      polkit-1-auth-agent', polkit-1-auth-agent is a virtual package

 -- Laurent Bigonville <bigon@debian.org>  Sun, 05 Jun 2016 13:23:10 +0200

network-manager-applet (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Bump Standards-Versiont to 3.9.8.
  * Bump network-manager related (build-)dependencies to >= 1.2.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 May 2016 18:33:00 +0200

network-manager-applet (1.2.0-2) unstable; urgency=medium

  * Stop using -X for dh_install. Some files were not installed by accident
    because of that. Instead explicity remove .a and .la files and use
    --fail-missing while at it.

 -- Michael Biebl <biebl@debian.org>  Tue, 26 Apr 2016 16:42:05 +0200

network-manager-applet (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Bump dependencies of libnm-gtk-dev and libnma-dev on the NetworkManager
    dev packages to (>= 1.1).

 -- Michael Biebl <biebl@debian.org>  Fri, 22 Apr 2016 17:30:12 +0200

=== debian/control ===
Source: network-manager-applet
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9),
               autotools-dev,
               dh-autoreconf,
               gnome-common,
               intltool,
               libsecret-1-dev,
               libgtk-3-dev (>= 3.4),
               libglib2.0-dev (>= 2.32),
               libnotify-dev (>= 0.7),
               libnm-util-dev (>= 1.4),
               libnm-glib-dev (>= 1.4),
               libnm-glib-vpn-dev (>= 1.4),
               network-manager-dev (>= 1.4),
               libnm-dev (>= 1.4),
               libmm-glib-dev,
               libgudev-1.0-dev (>= 147),
               libjansson-dev (>= 2.3),
               iso-codes,
               libgirepository1.0-dev,
               dh-translations,
               libappindicator3-dev,
               libdbusmenu-gtk3-dev (>= 16.04),
               gobject-introspection
Standards-Version: 3.9.8
Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet
Homepage: https://www.gnome.org/projects/NetworkManager/

Package: network-manager-gnome
Architecture: linux-any
Section: gnome
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnma0 (= ${binary:Version}),
         network-manager (>= 1.4),
         policykit-1-gnome | polkit-1-auth-agent,
         default-dbus-session-bus | dbus-session-bus
Recommends: notification-daemon,
            gnome-keyring,
            mobile-broadband-provider-info,
            iso-codes
Suggests: network-manager-openconnect-gnome,
          network-manager-openvpn-gnome,
          network-manager-vpnc-gnome,
          network-manager-pptp-gnome
Description: network management framework (GNOME frontend)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains a systray applet for GNOME's notification area but it
 also works for other desktop environments which provide a systray like KDE
 or Xfce.
 It displays the available networks and allows users to easily switch between
 them. For encrypted networks it will prompt the user for the key/passphrase
 and it can optionally store them in the gnome-keyring.

Package: libnm-gtk0
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnm-gtk-common (= ${source:Version})
Breaks: network-manager-gnome (<< 0.9.10.0)
Description: library for wireless and mobile dialogs (libnm-glib version)
 This library provides Gtk+ dialogs for NetworkManager.

Package: libnm-gtk-common
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Description: library for wireless and mobile dialogs - common files
 The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
 .
 This package contains data files used by libnm-gtk.

Package: libnm-gtk-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnm-gtk0 (= ${binary:Version}),
         gir1.2-nmgtk-1.0 (= ${binary:Version}),
         network-manager-dev (>= 1.4),
         libnm-util-dev (>= 1.4),
         libnm-glib-dev (>= 1.4),
         libgtk-3-dev
Description: library for wireless and mobile dialogs - development files
 The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
 .
 This package contains the development files.

Package: gir1.2-nmgtk-1.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for libnm-gtk
 The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
 .
 This package contains introspection data for libnm-gtk.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libnma0
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnma-common (= ${source:Version})
Description: library for wireless and mobile dialogs (libnm version)
 This library provides Gtk+ dialogs for NetworkManager.

Package: libnma-common
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Description: library for wireless and mobile dialogs - common files
 The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
 .
 This package contains data files used by libnm-gtk.

Package: libnma-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnma0 (= ${binary:Version}),
         gir1.2-nma-1.0 (= ${binary:Version}),
         libnm-dev (>= 1.4)
Description: library for wireless and mobile dialogs - development files
 The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
 .
 This package contains the development files.

Package: gir1.2-nma-1.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for libnma
 The libnma library provides Gtk+ dialogs for NetworkManager.
 .
 This package contains introspection data for libnma.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with autoreconf,gir,translations --parallel

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager \
		--disable-more-warnings \
		--enable-introspection \
		--with-appindicator \
		--with-wwan

override_dh_auto_clean:
	dh_auto_clean
	rm -f icons/22/*-secure.png icons/22/nm-active-device.png

override_dh_auto_build:
	dh_auto_build
	cp -rf $(CURDIR)/debian/icons/22 icons/

override_dh_install:
	find debian/tmp -name '*.a' -delete
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing
	# workaround for icon-changes
	# natty fallback icons
	cp -f debian/icons/22/nm-device-wired-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
	cp -f debian/icons/22/nm-signal-00-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
	ln -snf nm-signal-00.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-none.png
	ln -snf nm-signal-00-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-none-secure.png
	cp -f debian/icons/22/nm-signal-25-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
	ln -snf nm-signal-25.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-low.png
	ln -snf nm-signal-25-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-low-secure.png
	cp -f debian/icons/22/nm-signal-50-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
	ln -snf nm-signal-50.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-medium.png
	ln -snf nm-signal-50-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-medium-secure.png
	cp -f debian/icons/22/nm-signal-75-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
	ln -snf nm-signal-75.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-high.png
	ln -snf nm-signal-75-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-high-secure.png
	cp -f debian/icons/22/nm-signal-100-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
	ln -snf nm-signal-100.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-full.png
	ln -snf nm-signal-100-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-full-secure.png

## network-manager-applet 1.4.4

=== debian/changelog ===
network-manager-applet (1.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat level to 10.
  * Update Vcs-* according to the latest recommendation.
  * Rebase patches.
  * Drop libnma-common and libnm-gtk-common.
    The .ui files and icons are now compiled in using GResource.
  * Bump network-manager related (build-)dependencies to >= 1.6.
    This enables support for editing the Proxy setting which requires
    NetworkManager 1.6 or newer.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Jan 2017 21:42:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,29 @@
 Source: network-manager-applet
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
-               autotools-dev,
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
                gnome-common,
                intltool,
                libsecret-1-dev,
                libgtk-3-dev (>= 3.4),
                libglib2.0-dev (>= 2.32),
                libnotify-dev (>= 0.7),
-               libnm-util-dev (>= 1.4),
-               libnm-glib-dev (>= 1.4),
-               libnm-glib-vpn-dev (>= 1.4),
-               network-manager-dev (>= 1.4),
-               libnm-dev (>= 1.4),
+               libnm-util-dev (>= 1.6),
+               libnm-glib-dev (>= 1.6),
+               libnm-glib-vpn-dev (>= 1.6),
+               network-manager-dev (>= 1.6),
+               libnm-dev (>= 1.6),
                libmm-glib-dev,
                libgudev-1.0-dev (>= 147),
                libjansson-dev (>= 2.3),
                iso-codes,
                libgirepository1.0-dev,
-               dh-translations,
-               libappindicator3-dev,
-               libdbusmenu-gtk3-dev (>= 16.04),
                gobject-introspection
 Standards-Version: 3.9.8
-Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet
+Vcs-Git: https://anonscm.debian.org/git/pkg-utopia/network-manager-applet.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-utopia/network-manager-applet.git
 Homepage: https://www.gnome.org/projects/NetworkManager/
 
 Package: network-manager-gnome
@@ -38,7 +33,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libnma0 (= ${binary:Version}),
-         network-manager (>= 1.4),
+         network-manager (>= 1.6),
          policykit-1-gnome | polkit-1-auth-agent,
          default-dbus-session-bus | dbus-session-bus
 Recommends: notification-daemon,
@@ -70,20 +65,9 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libnm-gtk-common (= ${source:Version})
 Breaks: network-manager-gnome (<< 0.9.10.0)
 Description: library for wireless and mobile dialogs (libnm-glib version)
  This library provides Gtk+ dialogs for NetworkManager.
-
-Package: libnm-gtk-common
-Architecture: all
-Multi-Arch: foreign
-Section: libs
-Depends: ${misc:Depends}
-Description: library for wireless and mobile dialogs - common files
- The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
- .
- This package contains data files used by libnm-gtk.
 
 Package: libnm-gtk-dev
 Architecture: linux-any
@@ -93,9 +77,9 @@
          ${misc:Depends},
          libnm-gtk0 (= ${binary:Version}),
          gir1.2-nmgtk-1.0 (= ${binary:Version}),
-         network-manager-dev (>= 1.4),
-         libnm-util-dev (>= 1.4),
-         libnm-glib-dev (>= 1.4),
+         network-manager-dev (>= 1.6),
+         libnm-util-dev (>= 1.6),
+         libnm-glib-dev (>= 1.6),
          libgtk-3-dev
 Description: library for wireless and mobile dialogs - development files
  The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
@@ -124,19 +108,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libnma-common (= ${source:Version})
 Description: library for wireless and mobile dialogs (libnm version)
  This library provides Gtk+ dialogs for NetworkManager.
-
-Package: libnma-common
-Architecture: all
-Multi-Arch: foreign
-Section: libs
-Depends: ${misc:Depends}
-Description: library for wireless and mobile dialogs - common files
- The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
- .
- This package contains data files used by libnm-gtk.
 
 Package: libnma-dev
 Architecture: linux-any
@@ -146,7 +119,7 @@
          ${misc:Depends},
          libnma0 (= ${binary:Version}),
          gir1.2-nma-1.0 (= ${binary:Version}),
-         libnm-dev (>= 1.4)
+         libnm-dev (>= 1.6)
 Description: library for wireless and mobile dialogs - development files
  The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
  .

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager \
		--disable-more-warnings \
		--enable-introspection \
		--with-wwan

override_dh_install:
	find debian/tmp -name '*.a' -delete
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing

## network-manager-applet 1.8.4

=== debian/changelog ===
network-manager-applet (1.8.4-1ubuntu1) artful; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/icons/, debian/rules, debian/source/include-binaries:
      + Add "secure" icons
    - debian/control, debian/rules:
      + Build appindicator support
      + Run dh_translations
    - Add lp341684_device_sensitive_disconnect_notify.patch:
      + Show correct notification messages for disconnect events, to be in
        line with the other *connect*text patches.
    - Add lp460144_correctly_update_notification.patch: cleaner notification
        messages, and allow for messages to be updated instead of cleared.
    - Add applet-wifi-menu-before-vpn.patch:
      + Show Create New and Connect to Hidden wifi menu items with the other
        Wifi items, rather than separated by the VPN menus.
    - Allow-to-create-and-connect-to-Ad-Hoc-RSN-networks.patch:
      + Enable Ad-Hoc using WPA RSN
    - Have-the-appindicator-enabled-by-default.patch:
      + Enable the indicator by default
    - On-Ubuntu-we-use-premade-icons-for-the-indicator-VPN.patch:
      + use '-secure'-suffixed icons when connected to the VPN, since we
        can't composit icons on the fly.
    - Make-sure-the-behavior-for-policykit-restricted-acti.patch,
      Support-hiding-rather-than-desensitizing-disallowed-items.patch,
      + provide methods to desensitize and hide menu items which are useless
        given the current policykit policy level of the user.
  * Refresh patches
  * Drop patches applied in new release:
    - reorder-indicator-items.patch
    - Always-center-dialogs-on-the-screen.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 22 Sep 2017 15:03:15 -0400

network-manager-applet (1.8.4-1) unstable; urgency=medium

  * New upstream version 1.8.4
  * Update Build-Depends as per configure.ac
  * Rebase patches
  * Switch to dh_missing
  * Bump Standards-Version to 4.1.0
  * Don't build static libraries

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Sep 2017 22:22:26 +0200

network-manager-applet (1.8.2-1ubuntu1) artful; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/icons/, debian/rules, debian/source/include-binaries:
      + Add "secure" icons
    - debian/control, debian/rules:
      + Build appindicator support
      + Run dh_translations
    - Add lp341684_device_sensitive_disconnect_notify.patch:
      + Show correct notification messages for disconnect events, to be in
        line with the other *connect*text patches.
    - Add lp460144_correctly_update_notification.patch: cleaner notification
        messages, and allow for messages to be updated instead of cleared.
    - Add applet-wifi-menu-before-vpn.patch:
      + Show Create New and Connect to Hidden wifi menu items with the other
        Wifi items, rather than separated by the VPN menus.
    - Always-center-dialogs-on-the-screen.patch:
      + Position dialogs at the center of the screen
    - Allow-to-create-and-connect-to-Ad-Hoc-RSN-networks.patch:
      + Enable Ad-Hoc using WPA RSN
    - reorder-indicator-items.patch:
      + Make sure devices show before networking toggles
    - Have-the-appindicator-enabled-by-default.patch:
      + Enable the indicator by default
    - On-Ubuntu-we-use-premade-icons-for-the-indicator-VPN.patch:
      + use '-secure'-suffixed icons when connected to the VPN, since we
        can't composit icons on the fly.
    - Make-sure-the-behavior-for-policykit-restricted-acti.patch,
      Support-hiding-rather-than-desensitizing-disallowed-items.patch,
      + provide methods to desensitize and hide menu items which are useless
        given the current policykit policy level of the user.
  * Refresh patches

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Jun 2017 19:06:46 -0400

network-manager-applet (1.8.2-1) unstable; urgency=medium

  * New upstream version 1.8.2
  * Rebase patches
  * Drop migration code from pre-wheezy

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Jun 2017 23:29:48 +0200

network-manager-applet (1.8.0-1) experimental; urgency=medium

  * New upstream version 1.8.0
  * Switch URLs to https
  * Bump network-manager related (build-)dependencies to >= 1.8
  * Enable support for adjusting SELinux labels in configuration editor
  * Enable PKCS#11 capable certificate chooser for EAP-TLS
  * Drop obsolete Breaks from pre-jessie
  * Rebase patches
  * Update symbols file for libnm-gtk and libnma
  * Use architecture.mk provided by dpkg-dev to retrieve DEB_HOST_MULTIARCH

 -- Michael Biebl <biebl@debian.org>  Fri, 12 May 2017 23:17:47 +0200

network-manager-applet (1.4.6-1) unstable; urgency=medium

  * New upstream version 1.4.6
  * Rebase patches
  * Enable and install gtk-doc API documentation for libnma

 -- Michael Biebl <biebl@debian.org>  Tue, 07 Mar 2017 20:32:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,39 @@
 Source: network-manager-applet
 Section: gnome
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 10.3),
+               dh-translations,
                gnome-common,
                intltool,
                libsecret-1-dev,
                libgtk-3-dev (>= 3.4),
-               libglib2.0-dev (>= 2.32),
+               libglib2.0-dev (>= 2.38),
                libnotify-dev (>= 0.7),
-               libnm-util-dev (>= 1.6),
-               libnm-glib-dev (>= 1.6),
-               libnm-glib-vpn-dev (>= 1.6),
-               network-manager-dev (>= 1.6),
-               libnm-dev (>= 1.6),
+               libnm-util-dev (>= 1.8),
+               libnm-glib-dev (>= 1.8),
+               libnm-glib-vpn-dev (>= 1.8),
+               network-manager-dev (>= 1.8),
+               libnm-dev (>= 1.8),
                libmm-glib-dev,
                libgudev-1.0-dev (>= 147),
-               libjansson-dev (>= 2.3),
+               libjansson-dev (>= 2.7),
+               libselinux-dev,
+               libappindicator3-dev,
+               libdbusmenu-gtk3-dev (>= 16.04),
+               libgcr-3-dev (>= 3.14),
+               libgck-1-dev (>= 3.14),
                iso-codes,
                libgirepository1.0-dev,
-               gobject-introspection
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-utopia/network-manager-applet.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-utopia/network-manager-applet.git
+               gobject-introspection,
+               gtk-doc-tools,
+               libgtk-3-doc,
+               libglib2.0-doc,
+Standards-Version: 4.1.0
+Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet
+Vcs-Browser: https://git.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet?h=artful
 Homepage: https://www.gnome.org/projects/NetworkManager/
 
 Package: network-manager-gnome
@@ -33,7 +43,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libnma0 (= ${binary:Version}),
-         network-manager (>= 1.6),
+         network-manager (>= 1.8),
          policykit-1-gnome | polkit-1-auth-agent,
          default-dbus-session-bus | dbus-session-bus
 Recommends: notification-daemon,
@@ -65,7 +75,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Breaks: network-manager-gnome (<< 0.9.10.0)
 Description: library for wireless and mobile dialogs (libnm-glib version)
  This library provides Gtk+ dialogs for NetworkManager.
 
@@ -77,9 +86,9 @@
          ${misc:Depends},
          libnm-gtk0 (= ${binary:Version}),
          gir1.2-nmgtk-1.0 (= ${binary:Version}),
-         network-manager-dev (>= 1.6),
-         libnm-util-dev (>= 1.6),
-         libnm-glib-dev (>= 1.6),
+         network-manager-dev (>= 1.8),
+         libnm-util-dev (>= 1.8),
+         libnm-glib-dev (>= 1.8),
          libgtk-3-dev
 Description: library for wireless and mobile dialogs - development files
  The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
@@ -119,7 +128,7 @@
          ${misc:Depends},
          libnma0 (= ${binary:Version}),
          gir1.2-nma-1.0 (= ${binary:Version}),
-         libnm-dev (>= 1.6)
+         libnm-dev (>= 1.8)
 Description: library for wireless and mobile dialogs - development files
  The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir,translations

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager \
		--disable-more-warnings \
		--disable-static \
		--enable-introspection \
		--enable-gtk-doc \
		--with-appindicator \
		--with-gcr \
		--with-selinux \
		--with-wwan

override_dh_auto_clean:
	dh_auto_clean
	rm -f icons/22/*-secure.png

override_dh_auto_build:
	dh_auto_build
	cp -rf $(CURDIR)/debian/icons/22 icons/

override_dh_install:
	dh_install
	# workaround for icon-changes
	# natty fallback icons
	cp -f debian/icons/22/nm-device-wired-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
	cp -f debian/icons/22/nm-signal-00-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
	ln -snf nm-signal-00.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-none.png
	ln -snf nm-signal-00-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-none-secure.png
	cp -f debian/icons/22/nm-signal-25-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
	ln -snf nm-signal-25.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-low.png
	ln -snf nm-signal-25-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-low-secure.png
	cp -f debian/icons/22/nm-signal-50-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
	ln -snf nm-signal-50.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-medium.png
	ln -snf nm-signal-50-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-medium-secure.png
	cp -f debian/icons/22/nm-signal-75-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
	ln -snf nm-signal-75.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-high.png
	ln -snf nm-signal-75-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-high-secure.png
	cp -f debian/icons/22/nm-signal-100-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
	ln -snf nm-signal-100.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-full.png
	ln -snf nm-signal-100-secure.png \
		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-full-secure.png

override_dh_missing:
	find debian/tmp -name '*.la' -print -delete
	dh_missing --fail-missing

## network-manager-applet 1.8.10

=== meson_options.txt ===
option('libnm_gtk', type: 'boolean', value: true, description: 'build legacy library libnm-gtk which depends on libnm-glib/libnm-util/dbus-glib')
option('appindicator', type: 'boolean', value: false, description: 'Build with libappindicator support instead of xembed systray support.')
option('wwan', type: 'boolean', value: true, description: 'Enable WWAN support.')
option('selinux', type: 'boolean', value: true, description: 'Enable support for adjusting SELinux labels in configuration editor.')
option('team', type: 'boolean', value: true, description: 'Enable team configuration editor.')
option('gcr', type: 'boolean', value: true, description: 'Enable advanced certificate chooser.')
option('more_asserts', type: 'string', value: '0', description: 'Enable more assertions for debugging.')
option('iso_codes', type: 'boolean', value: true, description: 'check for iso-codes at build-time')
option('ld_gc', type: 'boolean', value: true, description: 'Enable garbage collection of unused symbols on linking')
option('gtk_doc', type: 'boolean', value: true, description: 'use gtk-doc to build documentation')
option('introspection', type: 'boolean', value: true, description: 'Enable introspection for this build')

=== debian/changelog ===
network-manager-applet (1.8.10-2) unstable; urgency=medium

  * shared/compat: Fix memory handling of nm_setting_vpn_get_*_keys
    (Closes: #885525)

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Jan 2018 16:31:10 +0100

network-manager-applet (1.8.10-1) unstable; urgency=medium

  * New upstream version 1.8.10
  * Rebase patches
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat level to 11

 -- Michael Biebl <biebl@debian.org>  Mon, 25 Dec 2017 22:42:46 +0100

network-manager-applet (1.8.6-1) unstable; urgency=medium

  * New upstream version 1.8.6
  * Don't use Unicode in patch header
  * Bump Build-Depends on libgtk-3-dev to (>= 3.10)
  * Bump Standards-Version to 4.1.1

 -- Michael Biebl <biebl@debian.org>  Tue, 07 Nov 2017 20:57:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: network-manager-applet
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10.3),
-               dh-translations,
+Build-Depends: debhelper (>= 11),
                gnome-common,
                intltool,
                libsecret-1-dev,
-               libgtk-3-dev (>= 3.4),
+               libgtk-3-dev (>= 3.10),
                libglib2.0-dev (>= 2.38),
                libnotify-dev (>= 0.7),
                libnm-util-dev (>= 1.8),
@@ -21,8 +19,6 @@
                libgudev-1.0-dev (>= 147),
                libjansson-dev (>= 2.7),
                libselinux-dev,
-               libappindicator3-dev,
-               libdbusmenu-gtk3-dev (>= 16.04),
                libgcr-3-dev (>= 3.14),
                libgck-1-dev (>= 3.14),
                iso-codes,
@@ -31,9 +27,9 @@
                gtk-doc-tools,
                libgtk-3-doc,
                libglib2.0-doc,
-Standards-Version: 4.1.0
-Vcs-Git: https://code.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet
-Vcs-Browser: https://git.launchpad.net/~network-manager/network-manager/+git/ubuntu-applet?h=artful
+Standards-Version: 4.1.2
+Vcs-Git: https://anonscm.debian.org/git/pkg-utopia/network-manager-applet.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-utopia/network-manager-applet.git
 Homepage: https://www.gnome.org/projects/NetworkManager/
 
 Package: network-manager-gnome

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager \
		--disable-more-warnings \
		--disable-static \
		--enable-introspection \
		--enable-gtk-doc \
		--with-gcr \
		--with-selinux \
		--with-wwan

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

## network-manager-applet 1.8.10-2ubuntu3mint1

=== debian/changelog ===
network-manager-applet (1.8.10-2ubuntu3mint1) tina; urgency=medium

  [ Clement Lefebvre ]
  * Use symbolic icons in systray

  [ Michael Webster ]
  * Revert a broken quilt patch

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 Nov 2019 10:57:06 +0100

network-manager-applet (1.8.10-2ubuntu3) bionic; urgency=medium

  * debian/patches/git_error_handling.patch:
    - don't segfault when gnome-keyring is missing (lp: #1806269)
  * debian/patches/git_editor_segfault.patch:
    - backport a segfault fix for the editor (lp: #1848185)
  * debian/patches/git_label_warning.patch:
    - backport fix for parsing error warnings being displayed when
      connecting to an ap with special chars (lp: #1848186)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Oct 2019 10:50:14 +0200

network-manager-applet (1.8.10-2ubuntu2) bionic; urgency=medium

  * debian/patches/git_certificate_escaping.patch:
    - 'libnma: unescape certificate paths in URIs', that fixes 
       selecting files with a space in their name (lp: #1807460)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 11 Dec 2018 17:26:44 +0100

network-manager-applet (1.8.10-2ubuntu1) bionic; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/icons/, debian/rules, debian/source/include-binaries:
      + Add "secure" icons
    - debian/control, debian/rules:
      + Build appindicator support
      + Run dh_translations
    - Add lp341684_device_sensitive_disconnect_notify.patch:
      + Show correct notification messages for disconnect events, to be in
        line with the other *connect*text patches.
    - Add lp460144_correctly_update_notification.patch: cleaner notification
        messages, and allow for messages to be updated instead of cleared.
    - Add applet-wifi-menu-before-vpn.patch:
      + Show Create New and Connect to Hidden wifi menu items with the other
        Wifi items, rather than separated by the VPN menus.
    - Allow-to-create-and-connect-to-Ad-Hoc-RSN-networks.patch:
      + Enable Ad-Hoc using WPA RSN
    - Have-the-appindicator-enabled-by-default.patch:
      + Enable the indicator by default
    - On-Ubuntu-we-use-premade-icons-for-the-indicator-VPN.patch:
      + use '-secure'-suffixed icons when connected to the VPN, since we
        can't composit icons on the fly.
    - Make-sure-the-behavior-for-policykit-restricted-acti.patch,
      Support-hiding-rather-than-desensitizing-disallowed-items.patch,
      + provide methods to desensitize and hide menu items which are useless
        given the current policykit policy level of the user.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 22 Jan 2018 13:59:16 -0500

=== debian/rules ===
--- 
+++ 
@@ -17,13 +17,56 @@
 		--disable-static \
 		--enable-introspection \
 		--enable-gtk-doc \
+		--with-appindicator \
 		--with-gcr \
 		--with-selinux \
 		--with-wwan
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f icons/22/*-secure.png
+
+override_dh_auto_build:
+	dh_auto_build
+	cp -rf $(CURDIR)/debian/icons/22 icons/
+
 override_dh_install:
 	find debian/tmp -name '*.la' -print -delete
 	dh_install
+	# workaround for icon-changes
+	# natty fallback icons
+	cp -f debian/icons/22/nm-device-wired-secure.png \
+		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
+	cp -f debian/icons/22/nm-signal-00-secure.png \
+		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
+	ln -snf nm-signal-00.png \
+		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-none.png
+	ln -snf nm-signal-00-secure.png \
+		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-none-secure.png
+	cp -f debian/icons/22/nm-signal-25-secure.png \
+		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
+	ln -snf nm-signal-25.png \
+		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-low.png
+	ln -snf nm-signal-25-secure.png \
+		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-low-secure.png
+	cp -f debian/icons/22/nm-signal-50-secure.png \
+		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
+	ln -snf nm-signal-50.png \
+		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-medium.png
+	ln -snf nm-signal-50-secure.png \
+		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-medium-secure.png
+	cp -f debian/icons/22/nm-signal-75-secure.png \
+		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
+	ln -snf nm-signal-75.png \
+		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-high.png
+	ln -snf nm-signal-75-secure.png \
+		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-high-secure.png
+	cp -f debian/icons/22/nm-signal-100-secure.png \
+		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/
+	ln -snf nm-signal-100.png \
+		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-full.png
+	ln -snf nm-signal-100-secure.png \
+		debian/network-manager-gnome/usr/share/icons/hicolor/22x22/apps/gsm-3g-full-secure.png
 
 override_dh_missing:
 	dh_missing --fail-missing

## network-manager-applet 1.8.16

=== debian/changelog ===
network-manager-applet (1.8.16-1) unstable; urgency=medium

  * New upstream version 1.8.16
  * Rebase patches
  * Add Build-Depends on mobile-broadband-provider-info.
    This is required to get the database path at build time

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Aug 2018 23:38:55 +0200

network-manager-applet (1.8.14-1) unstable; urgency=medium

  * New upstream version 1.8.14
  * Rebase patches
  * Update install path for AppStream metadata files

 -- Michael Biebl <biebl@debian.org>  Wed, 04 Jul 2018 00:27:31 +0200

network-manager-applet (1.8.12-2) unstable; urgency=medium

  * NMNetworkMenuItem: Don't double-free priv->dupes (Closes: #900869)

 -- Michael Biebl <biebl@debian.org>  Wed, 06 Jun 2018 19:59:19 +0200

network-manager-applet (1.8.12-1) unstable; urgency=medium

  * New upstream version 1.8.12
  * Rebase patches
  * Update symbols file for libnma

 -- Michael Biebl <biebl@debian.org>  Sun, 03 Jun 2018 23:59:13 +0200

network-manager-applet (1.8.10-5) unstable; urgency=medium

  * Enable Ayatana AppIndicator support (Closes: #880169)

 -- Michael Biebl <biebl@debian.org>  Sun, 22 Apr 2018 14:57:11 +0200

network-manager-applet (1.8.10-4) unstable; urgency=medium

  * Stop building the legacy libnm-gtk library.
    The successor is libnma, a libnm-based client library which no longer
    uses the obsolete libnm-glib/libnm-util/dbus-glib libraries.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Apr 2018 13:52:07 +0200

network-manager-applet (1.8.10-3) unstable; urgency=medium

  * Set Rules-Requires-Root to no
  * Update Vcs-* to point to https://salsa.debian.org
  * libnma/cert-chooser: Handle case of no available modules.
    Fixes a segfault when editing an existing connection.
    (Closes: #865013)
  * Drop README.Debian.
    The documentation about group netdev is outdated and no longer relevant.
    (Closes: #743450)

 -- Michael Biebl <biebl@debian.org>  Sun, 08 Apr 2018 18:58:14 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
 Build-Depends: debhelper (>= 11),
                gnome-common,
                intltool,
+               mobile-broadband-provider-info,
                libsecret-1-dev,
                libgtk-3-dev (>= 3.10),
                libglib2.0-dev (>= 2.38),
                libnotify-dev (>= 0.7),
-               libnm-util-dev (>= 1.8),
-               libnm-glib-dev (>= 1.8),
-               libnm-glib-vpn-dev (>= 1.8),
-               network-manager-dev (>= 1.8),
+               libayatana-appindicator3-dev,
+               libdbusmenu-gtk3-dev (>= 16.04.0),
                libnm-dev (>= 1.8),
                libmm-glib-dev,
                libgudev-1.0-dev (>= 147),
@@ -28,8 +27,9 @@
                libgtk-3-doc,
                libglib2.0-doc,
 Standards-Version: 4.1.2
-Vcs-Git: https://anonscm.debian.org/git/pkg-utopia/network-manager-applet.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-utopia/network-manager-applet.git
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/utopia-team/network-manager-applet.git
+Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager-applet
 Homepage: https://www.gnome.org/projects/NetworkManager/
 
 Package: network-manager-gnome
@@ -63,48 +63,6 @@
  It displays the available networks and allows users to easily switch between
  them. For encrypted networks it will prompt the user for the key/passphrase
  and it can optionally store them in the gnome-keyring.
-
-Package: libnm-gtk0
-Architecture: linux-any
-Multi-Arch: same
-Section: libs
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-Description: library for wireless and mobile dialogs (libnm-glib version)
- This library provides Gtk+ dialogs for NetworkManager.
-
-Package: libnm-gtk-dev
-Architecture: linux-any
-Multi-Arch: same
-Section: libdevel
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libnm-gtk0 (= ${binary:Version}),
-         gir1.2-nmgtk-1.0 (= ${binary:Version}),
-         network-manager-dev (>= 1.8),
-         libnm-util-dev (>= 1.8),
-         libnm-glib-dev (>= 1.8),
-         libgtk-3-dev
-Description: library for wireless and mobile dialogs - development files
- The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
- .
- This package contains the development files.
-
-Package: gir1.2-nmgtk-1.0
-Section: introspection
-Architecture: linux-any
-Multi-Arch: same
-Depends: ${gir:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
-Description: GObject introspection data for libnm-gtk
- The libnm-gtk library provides Gtk+ dialogs for NetworkManager.
- .
- This package contains introspection data for libnm-gtk.
- .
- It can be used by packages using the GIRepository format to generate
- dynamic bindings.
 
 Package: libnma0
 Architecture: linux-any

## network-manager-applet 1.8.18

=== debian/changelog ===
network-manager-applet (1.8.18-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports
  * Revert "Enable Ayatana AppIndicator support"

 -- Michael Biebl <biebl@debian.org>  Mon, 08 Oct 2018 06:22:27 +0200

network-manager-applet (1.8.18-2) unstable; urgency=medium

  * debian/patches/Revert*: Cherry-pick patches to fix "Apply" button
    sensitivity. The previous fixes for upstream bug #20 AKA #907902 caused
    the Apply button in the connection editor to never become sensitive in
    some cases, for example when configuring OpenVPN VPNs.

 -- Iain Lane <laney@debian.org>  Mon, 01 Oct 2018 11:53:20 +0100

network-manager-applet (1.8.18-1) unstable; urgency=medium

  * New upstream version 1.8.18
    - libnma: fix wrongly showing hidden GUI elements, which causes connection
      editing to behave wrong (Closes: #907902)
  * Bump Standards-Version to 4.2.1
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Sat, 08 Sep 2018 18:42:36 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,6 @@
                libgtk-3-dev (>= 3.10),
                libglib2.0-dev (>= 2.38),
                libnotify-dev (>= 0.7),
-               libayatana-appindicator3-dev,
-               libdbusmenu-gtk3-dev (>= 16.04.0),
                libnm-dev (>= 1.8),
                libmm-glib-dev,
                libgudev-1.0-dev (>= 147),
@@ -26,7 +24,7 @@
                gtk-doc-tools,
                libgtk-3-doc,
                libglib2.0-doc,
-Standards-Version: 4.1.2
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/utopia-team/network-manager-applet.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager-applet

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--libexecdir=/usr/lib/NetworkManager \
		--disable-more-warnings \
		--disable-static \
		--enable-introspection \
		--enable-gtk-doc \
		--with-gcr \
		--with-selinux \
		--with-wwan \
		--without-libnm-gtk

override_dh_install:
	find debian/tmp -name '*.la' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing
